Mailinglist Archive: opensuse-updates (118 mails)

< Previous Next >
openSUSE-RU-2016:2549-1: moderate: Recommended update for keepassx
openSUSE Recommended Update: Recommended update for keepassx
______________________________________________________________________________

Announcement ID: openSUSE-RU-2016:2549-1
Rating: moderate
References: #959078
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:


This update for keepassx provides version 2.0.2 and fixes various issues:

- Add gpg signature.
- Use proper post/postun macros for desktop files and icons.
- Option -DWITH_LTO isn't available anymore.
- Fix undefined libraries.
- Fix regression in database writer that caused it to strip certain
special characters. (characters from Unicode plane > 0)
- Fix bug in repair function that caused it to strip non-ASCII characters.
- Flush temporary file before opening attachment.
- Disable password generator when showing entry in history mode.
- Strip invalid XML chars when writing databases.
- Add repair function to fix databases with invalid XML chars.
- Display custom icons scaled.
- Allow opening databases that have no password and keyfile.
- Fix crash when importing .kdb files with invalid icon ids.
- Re-enable test suite that was accidentally disabled earlier. (boo#959078)
- Improve UI of the search edit.
- Clear clipboard when locking databases.
- Enable Ctrl+M shortcut to minimize the window on all platforms.
- Show a better message when trying to open an old database format.
- Fix global auto-type behavior with some window managers.
- Show global auto-type window on the active desktop.
- Restore main window when clicking on the OS X docker icon.
- Fix crash when locking with search UI open.
- Set default extension when saving a database.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-1198=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

keepassx-2.0.2-6.1
keepassx-debuginfo-2.0.2-6.1
keepassx-debugsource-2.0.2-6.1


References:

https://bugzilla.suse.com/959078


< Previous Next >
This Thread
  • No further messages